;/*******************************/;
;/* Demo Program For Watch Dog  */;
;/* Hardware  :  ET-CPSB31 V2.0 */;
;/* Complier  :  Cross-32  V2.0 */;
;/*******************************/;
;

;/***************************************/;
;/* Equate List Port I/O ET-CPSB31 V2.0 */;
;/***************************************/;
;
RST_WATCH   EQU     0E0A0H                  ; Port Addr. For Reset Watch Dog

            ORG     2200H                   ; Strat Program For "ET-DEBUG31"

MAIN:       MOV     R2,#02H                 ; Power-on Delay
PWR_DLY1:   MOV     R3,#00H
PWR_DLY2:   MOV     R4,#00H
            DJNZ    R4,$
            DJNZ    R3,PWR_DLY2
            DJNZ    R2,PWR_DLY1
            ;
LOOP:       LCALL   WATCHDOG
            LCALL   DELAY
            SJMP    LOOP

;/**************/;
;/* Delay Time */;
;/**************/;
;
DELAY:      MOV     R3,#02H
DLY1:       MOV     R4,#00H
DLY2:       MOV     R5,#00H
            DJNZ    R5,$
            DJNZ    R4,DLY2
            DJNZ    R3,DLY1
            RET

;/*******************/;
;/* Watch Dog Reset */;
;/*******************/;
;
WATCHDOG:   PUSH    DPH
            PUSH    DPL
            MOV     DPTR,#RST_WATCH          ; Watch-Dog Reset
            MOVX    @DPTR,A
            POP     DPL
            POP     DPH
            RET

            END



